MASH2MATRIX(1)

NAME
mash2matrix - create all pairwise distances between samples

SYNOPSIS
mash2matrix <matrix_in> > all_distances.csv

DESCRIPTION
Uses mash (http://mash.readthedocs.io/) to create all pairwise distances between samples.

NB: the input to mash should be the same order as the .pheno file generate <assemblies.fa> with:

    cut -f 1 metadata.pheno | tr '

    ' ' '

Then run

    mash sketch -o reference <assemblies.fa>

    mash dist reference.msh reference.msh > mash_distances.txt

    mash2matrix mash_distances.txt > all_distances.csv

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.